* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    font-family: sans-serif;
}

html,
body {
    height: 100%;
}

.all {
    display: grid;
    min-height: 100%;
    grid-template: 100% / 25% 75%;
}

.add {
    background-color: rgb(67, 145, 145);
    display: flex;
    justify-content: center;
    padding-top: 6em;
    box-shadow: 4px 4px 4px 0 rgba(0, 0, 0, 0.6);

}

.add form {
    position: fixed;
}

.add form input {
    display: block;
    width: 100%;
    padding: 8px 12px;
    outline: none;
    border: none;
    border-radius: 10px;
}

.add form label {
    display: block;
    color: aliceblue;
    margin-top: 1em;
    margin-bottom: 0.7em;
}

.add form button {
    margin-top: 2em;
    border: none;
    padding: 16px 48px;
    border-radius: 10px;
    color: aliceblue;
    background-color: rgba(0, 0, 0, 0.624);

}

.add form button:hover {
    color: black;
    font-weight: 700;
    background-color: transparent;
    border: 1px solid rgba(0, 0, 0, 0.624);
}

/* library section */

main{
    background-color: aliceblue;
}

.library {
    background-color: aliceblue;
    padding: 2em 6em;
    display: grid;
    column-gap: 2em;
    row-gap: 2em;
    grid-template: 300px / repeat(3, 1fr);
    grid-auto-rows: 300px;
}

.card {
    background-color: beige;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    padding-top: 1em;
    padding-bottom: 1em;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.card p {
    border-bottom: 1px solid gray;
    padding-bottom: 3px;
    color: rgb(102, 36, 36);
}

.readen {
    border: none;
    background-color: rgb(50, 140, 50);
    padding: 10px 20px;
    border-radius: 10px;
    color: aliceblue;
}

.delete {
    border: none;
    background-color: rgb(140, 50, 50);
    padding: 10px 20px;
    border-radius: 10px;
    color: aliceblue;
}

.delete:hover {
    background-color: transparent;
    border: 1px solid rgb(140, 50, 50);
    color: rgb(140, 50, 50);
}

#read-status {
    width: 20px;
    height: 20px;
    accent-color: white;
    cursor: pointer;
}

label[for="read-status"] {
    display: inline-flex !important;
    align-items: center;
    gap: 8px;
    /* فاصله بین چک‌باکس و متن */
}

.error {
    color: black;
    font-size: 1em;
    margin-top: 4px;
    display: block;
}

.card.read {
    background-color: #d4edda;
    /* یه سبز روشن قشنگ */
    border: 2px solid #28a745;
}


.controls {
    display: flex;
    gap: 1em;
    justify-content: center;
    margin: 2em;
  }
  
  .controls button {
    padding: 10px 20px;
    border: none;
    background-color: teal;
    color: white;
    border-radius: 8px;
    cursor: pointer;
    transition: 0.3s;
  }
  
  .controls button:hover {
    background-color: #006666;
  }
  


  